### Method

# Gtk TextIterbackward_search

#### Declaration [src]

    gboolean
    gtk_text_iter_backward_search (
      const GtkTextIter* iter,
      const char* str,
      GtkTextSearchFlags flags,
      GtkTextIter* match_start,
      GtkTextIter* match_end,
      const GtkTextIter* limit
    )

#### Description [src]

Same as `gtk_text_iter_forward_search()`, but moves backward.

`match_end` will never be set to a `GtkTextIter` located after `iter`, even if there is a possible `match_start` before or at `iter`.

#### Parameters

`str`

  Type: `const char*`

  Search string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GtkTextSearchFlags`

  Bitmask of flags affecting the search.

`match_start`

  Type: `GtkTextIter`

  Return location for start of match.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`match_end`

  Type: `GtkTextIter`

  Return location for end of match.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`limit`

  Type: `GtkTextIter`

  Location of last possible `match_start`, or `NULL` for start of buffer.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether a match was found.